# <vertical>

The `<vertical>` CSS type represents a position along the vertical axis.

## Syntax

The [`<vertical>`](./vertical.md) type can take any of the following values:

| Value           | Description                                |
|-----------------|--------------------------------------------|
| `bottom`        | Aligns at the bottom of the vertical axis. |
| `middle`        | Aligns in the middle of the vertical axis. |
| `top` (default) | Aligns at the top of the vertical axis.    |

## Examples

### CSS

```css
.container {
    align-vertical: top;
}
```

### Python

```py
widget.styles.align_vertical = "top"
```

## Used by

- [`align`](../styles/align.md) - Align style property
- [`content-align`](../styles/content_align.md) - Content align style property
